import sqlite3
 
class DBAccess():

  __path = "jibun.db"

  #itemから全てのレコードを取得
  def get_all_item():
    result = []
    with sqlite3.connect(DBAccess.__path) as conn:
      sql =  " SELECT item_id, item_name FROM item;"
      result = conn.execute(sql)
    conn.close
    return result
